<%@ WebService Language="C#" Class="ValidationService" %>

using System.Configuration;
using System.Data;
using System.Data.Common;
using System.Web.Script.Services;
using System.Web.Services;

[WebService(Namespace = "http://tempuri.org/")]
[WebServiceBinding(ConformsTo = WsiProfiles.BasicProfile1_1)]
[ScriptService]
public class ValidationService  : WebService {

    [WebMethod]
    public bool DoesCustomerExists(string id, string value) {
        return SearchForCustomer(value);
    }
    
    private bool SearchForCustomer(string customerName)
    {
        ConnectionStringSettings connectionString = ConfigurationManager.ConnectionStrings["NorthwindConnectionString"];
        using (DbConnection connection = DbProviderFactories.GetFactory(connectionString.ProviderName).CreateConnection())
        {
            connection.ConnectionString = connectionString.ConnectionString;
            
            using (DbCommand command = connection.CreateCommand())
            {
                command.CommandText = "SELECT CustomerID FROM Customers WHERE CompanyName like @CompanyName";
                command.CommandType = CommandType.Text;
                DbParameter parameter = command.CreateParameter();
                parameter.ParameterName = "@CompanyName";
                parameter.Value = customerName;
                command.Parameters.Add(parameter);
                
                connection.Open();
                DbDataReader reader = command.ExecuteReader();
                if (reader.Read())
                {
                    return true;
                }
                return false;
            }
        }
    }
}

